com.mxgraph.view

## Class mxPerimeter

- java.lang.Object
- - com.mxgraph.view.mxPerimeter

-     public class mxPerimeter
      extends java.lang.Object

  Provides various perimeter functions to be used in a style as the value of mxConstants.STYLE_PERIMETER. Alternately, the mxConstants. PERIMETER_* constants can be used to reference a perimeter via the mxStyleRegistry.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `mxPerimeter.mxPerimeterFunction` Defines the requirements for a perimeter function.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static mxPerimeter.mxPerimeterFunction` | `EllipsePerimeter` Describes an elliptic perimeter.
    `static mxPerimeter.mxPerimeterFunction` | `HexagonPerimeter` Describes a hexagon perimeter.
    `static mxPerimeter.mxPerimeterFunction` | `RectanglePerimeter` Describes a rectangular perimeter for the given bounds.
    `static mxPerimeter.mxPerimeterFunction` | `RhombusPerimeter` Describes a rhombus (aka diamond) perimeter.
    `static mxPerimeter.mxPerimeterFunction` | `TrianglePerimeter` Describes a triangle perimeter.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxPerimeter()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RectanglePerimeter

          public static mxPerimeter.mxPerimeterFunction RectanglePerimeter

      Describes a rectangular perimeter for the given bounds.

    - #### EllipsePerimeter

          public static mxPerimeter.mxPerimeterFunction EllipsePerimeter

      Describes an elliptic perimeter.

    - #### RhombusPerimeter

          public static mxPerimeter.mxPerimeterFunction RhombusPerimeter

      Describes a rhombus (aka diamond) perimeter.

    - #### TrianglePerimeter

          public static mxPerimeter.mxPerimeterFunction TrianglePerimeter

      Describes a triangle perimeter. See RectanglePerimeter for a description of the parameters.

    - #### HexagonPerimeter

          public static mxPerimeter.mxPerimeterFunction HexagonPerimeter

      Describes a hexagon perimeter. See RectanglePerimeter for a description of the parameters.

  - ### Constructor Detail

    - #### mxPerimeter

          public mxPerimeter()

Copyright (c) 2010 Gaudenz Alder. All rights reserved.